Ver a proveniência

* updated submodules

* fixed compiler errors
* some small refactoring
master
bergmann há 9 anos
ascendente
cometimento
403a8d0184
25 ficheiros alterados com 111 adições e 86 eliminações
  1. +1
    -0
      .gitignore
  2. +9
    -9
      .gitmodules
  3. +0
    -1
      OpenGlCore
  4. +0
    -1
      TextSuite
  5. +0
    -1
      Utils
  6. +17
    -1
      build_release.sh
  7. +2
    -8
      header/examples/fpc/example.lpi
  8. +3
    -3
      header/examples/fpc/uMainForm.lfm
  9. +0
    -0
      inc/utsTextSuite.inc
  10. +46
    -45
      libTextSuite.lpi
  11. +2
    -2
      libTextSuite.lpr
  12. +1
    -0
      src/OpenGLCore
  13. +1
    -0
      src/TextSuite
  14. +1
    -0
      src/Utils
  15. +0
    -0
      src/ultsChar.pas
  16. +3
    -3
      src/ultsContext.pas
  17. +0
    -0
      src/ultsFont.pas
  18. +6
    -6
      src/ultsFontCreator.pas
  19. +13
    -0
      src/ultsGeneral.pas
  20. +0
    -0
      src/ultsImage.pas
  21. +0
    -0
      src/ultsPostProcessor.pas
  22. +6
    -6
      src/ultsRenderer.pas
  23. +0
    -0
      src/ultsTextBlock.pas
  24. +0
    -0
      src/ultsTypes.pas
  25. +0
    -0
      src/ultsUtils.pas

+ 1
- 0
.gitignore Ver ficheiro

@@ -1,6 +1,7 @@
lib/
bin/
debug/
inc/utsTextSuiteVersion.inc
*.so
*.lps
*.exe


+ 9
- 9
.gitmodules Ver ficheiro

@@ -1,9 +1,9 @@
[submodule "TextSuite"]
path = TextSuite
url = ../textsuite.git
[submodule "Utils"]
path = Utils
url = ../utils.git
[submodule "OpenGlCore"]
path = OpenGlCore
url = ../lazopenglcore.git
[submodule "src/TextSuite"]
path = src/TextSuite
url = b3rgmann@git.bergmann89.de:opengl/TextSuite.git
[submodule "src/OpenGLCore"]
path = src/OpenGLCore
url = b3rgmann@git.bergmann89.de:opengl/OpenGLCore.git
[submodule "src/Utils"]
path = src/Utils
url = b3rgmann@git.bergmann89.de:freepascal/utils.git

+ 0
- 1
OpenGlCore

@@ -1 +0,0 @@
Subproject commit f3387a1344abac9b32dad078fe0aa083fa6cea14

+ 0
- 1
TextSuite

@@ -1 +0,0 @@
Subproject commit d9d1f100f3636836555e5a1aa0987b98d02c001f

+ 0
- 1
Utils

@@ -1 +0,0 @@
Subproject commit 2e95929d4ef5ada8ac42e840a7e247c98b257581

+ 17
- 1
build_release.sh Ver ficheiro

@@ -13,6 +13,10 @@ INC_MAJOR=false
INC_MINOR=false
INC_BUGFIX=false

if [ -z "$FIRST_VERSION" ]; then
FIRST_VERSION="0.0.0.0"
fi

function log()
{
echo "$@" >&2
@@ -92,7 +96,7 @@ function addGitTag()
log "create git version tag"
CURRENT=$(getLastVersion)
if [ $? -ne 0 ]; then
CURRENT="0.0.0.0"
CURRENT="$FIRST_VERSION"
INC_VERSION=false
fi
local tmp="v$CURRENT"
@@ -119,6 +123,10 @@ function addGitTag()
cleaupAndExit 100
fi
TAGNAME=$tmp
HASH="$(git rev-parse HEAD)"

printf "const Version = 'v$NEWVERSION $HASH';" > inc/utsTextSuiteVersion.inc

return 0
}

@@ -127,6 +135,7 @@ function BuildConfig()
CONFIG=$1
POSTFIX=$2
FILEEXT=$3
DBGEXT=".dbg"

printf "\n== build project $CONFIG ==\n"
lazbuild --build-mode=$CONFIG --build-all --verbose $SCRIPTDIR/libTextSuite.lpi
@@ -143,13 +152,20 @@ function BuildConfig()
ZIPPATH="$SCRIPTDIR/$TAGNAME/libTextSuite-$POSTFIX.zip"
fi
BINNAME="libTextSuite-$POSTFIX$FILEEXT"
DBGNAME="libTextSuite-$POSTFIX$DBGEXT"
if [ ! -f $BINNAME ]; then
echo "file not found: $EXENAME"
cleaupAndExit 2
fi

cp "$BINNAME" "$DBGNAME" || { log "unable to copy binary to *.dbg"; cleaupAndExit 3; }
objcopy --only-keep-debug "$DBGNAME" || { log "unable to strip $DBGNAME"; cleaupAndExit 3; }
objcopy --strip-debug --strip-unneeded "$BINNAME" || { log "unable to copy binary to $BINNAME"; cleaupAndExit 3; }
objcopy --add-gnu-debuglink "$DBGNAME" "$BINNAME" || { log "unable to create debug link"; cleaupAndExit 3; }

mkdir -p $BINDIR
mv "$BINNAME" "$BINDIR/" || { log "unable to copy linked binary"; cleaupAndExit 3; }
mv "$DBGNAME" "$BINDIR/" || { log "unable to copy linked debug infos"; cleaupAndExit 3; }
# use this to copy data folder instead of data archive: cp -R --preserve=links data $BINDIR || { log "unable to copy data folder"; cleaupAndExit 4; }
cp -r "$HEADER_DIR" "$BINDIR" || { log "unable to copy header files"; cleaupAndExit 4; }
cp -r "$DOCU_DIR" "$BINDIR/docu" || { log "unable to copy documentation files"; cleaupAndExit 5; }


+ 2
- 8
header/examples/fpc/example.lpi Ver ficheiro

@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
<ProjectOptions>
<Version Value="9"/>
<Version Value="10"/>
<PathDelim Value="\"/>
<General>
<SessionStorage Value="InProjectDir"/>
@@ -9,14 +9,10 @@
<Title Value="example"/>
<ResourceType Value="res"/>
<UseXPManifest Value="True"/>
<Icon Value="0"/>
</General>
<i18n>
<EnableI18N LFM="False"/>
</i18n>
<VersionInfo>
<StringTable ProductVersion=""/>
</VersionInfo>
<BuildModes Count="1">
<Item1 Name="Default" Default="True"/>
</BuildModes>
@@ -44,12 +40,10 @@
<ComponentName Value="MainForm"/>
<HasResources Value="True"/>
<ResourceBaseClass Value="Form"/>
<UnitName Value="uMainForm"/>
</Unit1>
<Unit2>
<Filename Value="..\..\ulibTextSuite.pas"/>
<IsPartOfProject Value="True"/>
<UnitName Value="ulibTextSuite"/>
</Unit2>
</Units>
</ProjectOptions>
@@ -61,7 +55,7 @@
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="..\..\..\OpenGlCore;..\.."/>
<OtherUnitFiles Value="..\..\..\src\OpenGLCore;..\.."/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<Linking>


+ 3
- 3
header/examples/fpc/uMainForm.lfm Ver ficheiro

@@ -1,7 +1,7 @@
object MainForm: TMainForm
Left = 485
Left = 876
Height = 500
Top = 255
Top = 270
Width = 640
Caption = 'libTextSuite'
OnCreate = FormCreate
@@ -9,5 +9,5 @@ object MainForm: TMainForm
OnPaint = FormPaint
OnResize = FormResize
Position = poScreenCenter
LCLVersion = '1.3'
LCLVersion = '1.9.0.0'
end

utsTextSuite.inc → inc/utsTextSuite.inc Ver ficheiro


+ 46
- 45
libTextSuite.lpi Ver ficheiro

@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
<ProjectOptions>
<Version Value="9"/>
<Version Value="10"/>
<PathDelim Value="\"/>
<General>
<Flags>
@@ -17,9 +17,6 @@
<i18n>
<EnableI18N LFM="False"/>
</i18n>
<VersionInfo>
<StringTable ProductVersion=""/>
</VersionInfo>
<BuildModes Count="9">
<Item1 Name="Default" Default="True"/>
<Item2 Name="Win64Debug">
@@ -30,8 +27,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<Parsing>
@@ -64,6 +61,10 @@
<CompilerMessages>
<IgnoredMessages idx5024="True"/>
</CompilerMessages>
<CustomOptions Value="-dDEBUG"/>
<OtherDefines Count="1">
<Define0 Value="DEBUG"/>
</OtherDefines>
</Other>
</CompilerOptions>
</Item2>
@@ -75,8 +76,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<CodeGeneration>
@@ -89,9 +90,6 @@
</Optimizations>
</CodeGeneration>
<Linking>
<Debugging>
<UseExternalDbgSyms Value="True"/>
</Debugging>
<LinkSmart Value="True"/>
<Options>
<ExecutableType Value="Library"/>
@@ -112,8 +110,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<Parsing>
@@ -146,6 +144,10 @@
<CompilerMessages>
<IgnoredMessages idx5024="True"/>
</CompilerMessages>
<CustomOptions Value="-dDEBUG"/>
<OtherDefines Count="1">
<Define0 Value="DEBUG"/>
</OtherDefines>
</Other>
</CompilerOptions>
</Item4>
@@ -157,8 +159,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<CodeGeneration>
@@ -171,9 +173,6 @@
</Optimizations>
</CodeGeneration>
<Linking>
<Debugging>
<UseExternalDbgSyms Value="True"/>
</Debugging>
<LinkSmart Value="True"/>
<Options>
<ExecutableType Value="Library"/>
@@ -194,8 +193,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<Parsing>
@@ -228,6 +227,10 @@
<CompilerMessages>
<IgnoredMessages idx5024="True"/>
</CompilerMessages>
<CustomOptions Value="-dDEBUG"/>
<OtherDefines Count="1">
<Define0 Value="DEBUG"/>
</OtherDefines>
</Other>
</CompilerOptions>
</Item6>
@@ -239,8 +242,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<CodeGeneration>
@@ -253,9 +256,6 @@
</Optimizations>
</CodeGeneration>
<Linking>
<Debugging>
<UseExternalDbgSyms Value="True"/>
</Debugging>
<LinkSmart Value="True"/>
<Options>
<ExecutableType Value="Library"/>
@@ -276,8 +276,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<Parsing>
@@ -310,6 +310,10 @@
<CompilerMessages>
<IgnoredMessages idx5024="True"/>
</CompilerMessages>
<CustomOptions Value="-dDEBUG"/>
<OtherDefines Count="1">
<Define0 Value="DEBUG"/>
</OtherDefines>
</Other>
</CompilerOptions>
</Item8>
@@ -321,8 +325,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<CodeGeneration>
@@ -335,9 +339,6 @@
</Optimizations>
</CodeGeneration>
<Linking>
<Debugging>
<UseExternalDbgSyms Value="True"/>
</Debugging>
<LinkSmart Value="True"/>
<Options>
<ExecutableType Value="Library"/>
@@ -365,47 +366,47 @@
<IsPartOfProject Value="True"/>
</Unit0>
<Unit1>
<Filename Value="ultsUtils.pas"/>
<Filename Value="src\ultsChar.pas"/>
<IsPartOfProject Value="True"/>
</Unit1>
<Unit2>
<Filename Value="ultsTypes.pas"/>
<Filename Value="src\ultsContext.pas"/>
<IsPartOfProject Value="True"/>
</Unit2>
<Unit3>
<Filename Value="ultsContext.pas"/>
<Filename Value="src\ultsFont.pas"/>
<IsPartOfProject Value="True"/>
</Unit3>
<Unit4>
<Filename Value="ultsRenderer.pas"/>
<Filename Value="src\ultsFontCreator.pas"/>
<IsPartOfProject Value="True"/>
</Unit4>
<Unit5>
<Filename Value="ultsTextBlock.pas"/>
<Filename Value="src\ultsGeneral.pas"/>
<IsPartOfProject Value="True"/>
</Unit5>
<Unit6>
<Filename Value="ultsGeneral.pas"/>
<Filename Value="src\ultsImage.pas"/>
<IsPartOfProject Value="True"/>
</Unit6>
<Unit7>
<Filename Value="ultsFont.pas"/>
<Filename Value="src\ultsPostProcessor.pas"/>
<IsPartOfProject Value="True"/>
</Unit7>
<Unit8>
<Filename Value="ultsFontCreator.pas"/>
<Filename Value="src\ultsRenderer.pas"/>
<IsPartOfProject Value="True"/>
</Unit8>
<Unit9>
<Filename Value="ultsImage.pas"/>
<Filename Value="src\ultsTextBlock.pas"/>
<IsPartOfProject Value="True"/>
</Unit9>
<Unit10>
<Filename Value="ultsPostProcessor.pas"/>
<Filename Value="src\ultsTypes.pas"/>
<IsPartOfProject Value="True"/>
</Unit10>
<Unit11>
<Filename Value="ultsChar.pas"/>
<Filename Value="src\ultsUtils.pas"/>
<IsPartOfProject Value="True"/>
</Unit11>
</Units>
@@ -417,8 +418,8 @@
<Filename Value="libTextSuite-$(TargetCPU)-$(TargetOS)"/>
</Target>
<SearchPaths>
<IncludeFiles Value="$(ProjOutDir)"/>
<OtherUnitFiles Value="TextSuite;Utils;OpenGlCore"/>
<IncludeFiles Value="$(ProjOutDir);inc"/>
<OtherUnitFiles Value="src;src\TextSuite;src\Utils;src\OpenGLCore"/>
<UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
</SearchPaths>
<CodeGeneration>


+ 2
- 2
libTextSuite.lpr Ver ficheiro

@@ -4,8 +4,8 @@ library libTextSuite;

uses
Classes, SysUtils,
ultsContext, ultsRenderer, ultsTextBlock, ultsGeneral, ultsFont, ultsFontCreator,
ultsImage, ultsPostProcessor, ultsChar;
ultsChar, ultsFontCreator, ultsGeneral, ultsPostProcessor, ultsTextBlock,
ultsUtils, ultsContext, ultsFont, ultsImage, ultsRenderer, ultsTypes;

exports
ltsContextCreate,


+ 1
- 0
src/OpenGLCore

@@ -0,0 +1 @@
Subproject commit 591218ce55b57e4e7921637c3f2465d4a833d7f0

+ 1
- 0
src/TextSuite

@@ -0,0 +1 @@
Subproject commit c127e64b205e4f3051ea2d703f8bd83782ff9ab2

+ 1
- 0
src/Utils

@@ -0,0 +1 @@
Subproject commit fcd9a8fa402ea659c3c30f850753be58c3369f21

ultsChar.pas → src/ultsChar.pas Ver ficheiro


ultsContext.pas → src/ultsContext.pas Ver ficheiro

@@ -13,7 +13,7 @@ type
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsContext = class(TtsContext)
public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
end;

function ltsContextCreate (): TltsContextHandle; stdcall;
@@ -35,10 +35,10 @@ var
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsContext///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsContext.DelSlave(const aSlave: TtsRefManager);
function TltsContext.DelSlave(const aSlave: TtsRefManager): Boolean;
begin
DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

ultsFont.pas → src/ultsFont.pas Ver ficheiro


ultsFontCreator.pas → src/ultsFontCreator.pas Ver ficheiro

@@ -28,31 +28,31 @@ type
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsFontCreatorFreeType = class(TtsFontCreatorFreeType)
public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsFontCreatorGDI = class(TtsFontCreatorGDI)
public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsFontCreatorFreeType///////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsFontCreatorFreeType.DelSlave(const aSlave: TtsRefManager);
function TltsFontCreatorFreeType.DelSlave(const aSlave: TtsRefManager): Boolean;
begin
DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsFontCreatorGDI////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsFontCreatorGDI.DelSlave(const aSlave: TtsRefManager);
function TltsFontCreatorGDI.DelSlave(const aSlave: TtsRefManager): Boolean;
begin
DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

ultsGeneral.pas → src/ultsGeneral.pas Ver ficheiro

@@ -9,6 +9,7 @@ uses
ultsTypes;

function ltsInitialize: TltsErrorCode; stdcall;
function ltsGetVersion: PAnsiChar; stdcall;
function ltsGetLastErrorCode: TltsErrorCode; stdcall;
function ltsGetLastErrorMsg: PAnsiChar; stdcall;
function ltsFinalize: TltsErrorCode; stdcall;
@@ -18,6 +19,12 @@ implementation
uses
ultsUtils;

{$IFDEF DEBUG}
const Version = 'DebugVersion';
{$ELSE}
{$I utsTextSuiteVersion.inc}
{$ENDIF}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//General///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
@@ -34,6 +41,12 @@ begin
end;
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function ltsGetVersion: PAnsiChar; stdcall;
begin
result := PAnsiChar(Version);
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function ltsGetLastErrorCode: TltsErrorCode; stdcall;
begin

ultsImage.pas → src/ultsImage.pas Ver ficheiro


ultsPostProcessor.pas → src/ultsPostProcessor.pas Ver ficheiro


ultsRenderer.pas → src/ultsRenderer.pas Ver ficheiro

@@ -55,14 +55,14 @@ type
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsRendererOpenGL = class(TtsRendererOpenGL)
public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
constructor Create(const aContext: TtsContext; const aFormat: TtsFormat);
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
TltsRendererOpenGLES = class(TtsRendererOpenGLES)
public
procedure DelSlave(const aSlave: TtsRefManager); override;
function DelSlave(const aSlave: TtsRefManager): Boolean; override;
constructor Create(const aContext: TtsContext; const aFormat: TtsFormat);
end;

@@ -93,10 +93,10 @@ type
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsRendererOpenGL////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsRendererOpenGL.DelSlave(const aSlave: TtsRefManager);
function TltsRendererOpenGL.DelSlave(const aSlave: TtsRefManager): Boolean;
begin
DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
@@ -111,10 +111,10 @@ end;
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//TltsRendererOpenGLES//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
procedure TltsRendererOpenGLES.DelSlave(const aSlave: TtsRefManager);
function TltsRendererOpenGLES.DelSlave(const aSlave: TtsRefManager): Boolean;
begin
DelReference(aSlave);
inherited DelSlave(aSlave);
result := inherited DelSlave(aSlave);
end;

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

ultsTextBlock.pas → src/ultsTextBlock.pas Ver ficheiro


ultsTypes.pas → src/ultsTypes.pas Ver ficheiro


ultsUtils.pas → src/ultsUtils.pas Ver ficheiro


Carregando…
Cancelar
Guardar